package dev.shadowsoffire.apotheosis.adventure.affix.augmenting;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingTableTile;
import dev.shadowsoffire.placebo.block_entity.TickingEntityBlock;
import dev.shadowsoffire.placebo.menu.MenuUtil;
import java.util.List;
import net.minecraft.ChatFormatting;
import net.minecraft.core.BlockPos;
import net.minecraft.network.chat.Component;
import net.minecraft.world.InteractionHand;
import net.minecraft.world.InteractionResult;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.Block;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.phys.BlockHitResult;
import net.minecraft.world.phys.shapes.CollisionContext;
import net.minecraft.world.phys.shapes.VoxelShape;

public class AugmentingTableBlock extends Block implements TickingEntityBlock {
  public static final VoxelShape SHAPE = Block.m_49796_(0.0D, 0.0D, 0.0D, 16.0D, 12.0D, 16.0D);
  
  public AugmentingTableBlock(BlockBehaviour.Properties pProperties) {
    super(pProperties);
  }
  
  public boolean m_7923_(BlockState pState) {
    return true;
  }
  
  public VoxelShape m_5940_(BlockState pState, BlockGetter pLevel, BlockPos pPos, CollisionContext pContext) {
    return SHAPE;
  }
  
  public InteractionResult m_6227_(BlockState state, Level world, BlockPos pos, Player player, InteractionHand handIn, BlockHitResult hit) {
    return MenuUtil.openGui(player, pos, dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingMenu::new);
  }
  
  public BlockEntity m_142194_(BlockPos pPos, BlockState pState) {
    return (BlockEntity)new AugmentingTableTile(pPos, pState);
  }
  
  public void m_5871_(ItemStack pStack, BlockGetter pLevel, List<Component> list, TooltipFlag pFlag) {
    list.add(Component.m_237115_(m_7705_() + ".desc").m_130940_(ChatFormatting.GRAY));
  }
  
  @Deprecated
  public void m_6810_(BlockState state, Level world, BlockPos pos, BlockState newState, boolean isMoving) {
    BlockEntity te = world.m_7702_(pos);
    if (te instanceof AugmentingTableTile) {
      AugmentingTableTile ref = (AugmentingTableTile)te;
      for (int i = 0; i < ref.inv.getSlots(); i++)
        m_49840_(world, pos, ref.inv.getStackInSlot(i)); 
    } 
    super.m_6810_(state, world, pos, newState, isMoving);
  }
}
